org.apache.cassandra.auth

## Interface AuthCacheMBean

All Known Subinterfaces:
  PasswordAuthenticator.CredentialsCacheMBean, PermissionsCacheMBean, RolesCacheMBean

All Known Implementing Classes:
  AuthCache, PermissionsCache, RolesCache

    public interface AuthCacheMBean

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getMaxEntries()`
`int` `getUpdateInterval()`
`int` `getValidity()`
`void` `invalidate()`
`void` `setMaxEntries(int maxEntries)`
`void` `setUpdateInterval(int updateInterval)`
`void` `setValidity(int validityPeriod)`

### Method Detail

#### invalidate

    void invalidate()

#### setValidity

    void setValidity(int validityPeriod)

#### getValidity

    int getValidity()

#### setUpdateInterval

    void setUpdateInterval(int updateInterval)

#### getUpdateInterval

    int getUpdateInterval()

#### setMaxEntries

    void setMaxEntries(int maxEntries)

#### getMaxEntries

    int getMaxEntries()